### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
BlackVarianceCurve Class Reference

Black volatility curve modelled as variance curve. More...

`#include <ql/termstructures/volatility/equityfx/blackvariancecurve.hpp>`

Inheritance diagram for BlackVarianceCurve:
[legend]

List of all members.

## Public Member Functions

| BlackVarianceCurve (const Date &referenceDate, const std::vector< Date > &dates, const std::vector< Volatility > &blackVolCurve, const DayCounter &dayCounter, bool forceMonotoneVariance=true)
TermStructure interface
DayCounter | dayCounter () const
| the day counter used for date/time conversion
Date | maxDate () const
| the latest date for which the curve can return values
VolatilityTermStructure interface
Real | minStrike () const
| the minimum strike for which the term structure can return vols
Real | maxStrike () const
| the maximum strike for which the term structure can return vols
Modifiers
template<class Interpolator >
void | setInterpolation (const Interpolator &i=Interpolator())
Visitability
virtual void | accept (AcyclicVisitor &)

## Protected Member Functions

virtual Real | blackVarianceImpl (Time t, Real) const
| Black variance calculation.

## Detailed Description

Black volatility curve modelled as variance curve.

This class calculates time-dependent Black volatilities using as input a vector of (ATM) Black volatilities observed in the market.

The calculation is performed interpolating on the variance curve. Linear interpolation is used as default; this can be changed by the setInterpolation() method.

For strike dependence, see BlackVarianceSurface.

Possible enhancements:
  check time extrapolation